TIMER_GETOVERRUN(2)

NAME
timer_getoverrun - Get the number of overruns of a POSIX.1b interval timer

SYNOPSIS

long sys_timer_getoverrun (timer_t timer_id);

DESCRIPTION

timer_getoverrun gets the number of overruns of a POSIX.1b interval timer, timer_id.

RETURN VALUE

timer_getoverrun returns the number of overruns on success; otherwise, timer_getoverrun returns the error listed in the "Errors" section.

ERRORS

-EINVAL
    An invalid timer_id value was specified.

SEE ALSO

timer_create(2), timer_delete(2), timer_gettime(2), timer_settime(2)

AUTHOR
Niki Rahimi